> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event

> Fetch an existing event record for a project.



## OpenAPI

````yaml get /v1/events/{IdOrReferenceId}
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/events/{IdOrReferenceId}:
    get:
      tags:
        - engagement
      summary: Get Event
      description: Fetch an existing event record for a project.
      responses:
        '200':
          description: Event record.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    EventResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        reference_id:
          $ref: '#/components/schemas/OptionalReferenceId'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        start_date:
          type: integer
        end_date:
          type: integer
        location:
          type: string
        address:
          type: string
        project_id:
          type: string
          format: uuid
      required:
        - id
        - created_at
        - updated_at
        - name
        - start_date
        - end_date
        - location
        - address
        - project_id
    OptionalReferenceId:
      type:
        - string
        - 'null'
      description: >-
        An optional ID of the reference object in your database. This can be
        used to query events by reference object.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````